<picture>
  <source *ngIf="(breakpoints && breakpoints.xl)" media="(min-width: 1200px)" srcset="{{name}}--xl.{{ext}} 1x, {{name}}--xl@2x.{{ext}} 2x, {{name}}--xl@3x.{{ext}} 3x">
  <source *ngIf="breakpoints && breakpoints.lg" media="(min-width: 992px)" srcset="{{name}}--lg.{{ext}} 1x, {{name}}--lg@2x.{{ext}} 2x, {{name}}--lg@3x.{{ext}} 3x">
  <source *ngIf="breakpoints && breakpoints.md" media="(min-width: 768px)" srcset="{{name}}--md.{{ext}} 1x, {{name}}--md@2x.{{ext}} 2x, {{name}}--md@3x.{{ext}} 3x">
  <source *ngIf="breakpoints && breakpoints.sm" media="(min-width: 576px)" srcset="{{name}}--sm.{{ext}} 1x, {{name}}--sm@2x.{{ext}} 2x, {{name}}--sm@3x.{{ext}} 3x">
  <img src="{{name}}--xs.{{ext}}" srcset="{{name}}--xs@2x.{{ext}} 2x, {{name}}--xs@3x.{{ext}} 3x" [attr.width]="width" [attr.height]="height"  [style.maxWidth]="maxWidth" [attr.alt]="alt">
</picture>
